patch applied (cabal): "Fix the GHC HEAD build: Don't use deprecated catch function"

Ian Lynagh igloo at
Wed Apr 27 15:02:25 CEST 2011

On Wed, Apr 27, 2011 at 01:16:12PM +0100, Duncan Coutts wrote:
> The generated paths module has to compile with the target
> compiler, including older ghc

Why? People who really are stuck with GHC 6.8 already have a Cabal that
works with it. They're going to be stuck if they want to use anything
that requires base 4, or if they want to build a recent GHC, etc,

Like I say, I don't think the cost of keeping it working is worth it,
given the limited resources we have.


More information about the cabal-devel mailing list